@charset "utf-8";
/* CSS Document */

body {
    margin: 0px;
    overflow: hidden;
}

body.timeLine > * {
    display: none;
}

#timeline-container {
    display: none;
    position: absolute;
    top: 100px;
    left: 0;
    width: 100%;
    z-index: 3000;
    height: calc(100vh - 100px);
}

.timeLine #timeline-container {
    display: block;
}

#timeline-container canvas {
    vertical-align: top;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 140px;
}

.event-list-button {
    position:absolute;
    background-color: #FFFFFF;
    border: none;
    padding: 0px 14px;
    text-align: center;
    font-size: 16px;
    border-radius: 6px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    transition: box-shadow 0.3s;
}

.event-list-button:hover {
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.3); /* Darker shadow on hover */
}

.layer-order-dropdown-container {
    position: absolute;
    top: -100px;
    right: 0;
    left: 0;
    bottom: auto;
    z-index: 2;
    font-size: 16px;
}

.timeline-header {
    height: 100px;
    background-color: #fff;
    display: flex;
    width: 100%;
    justify-content: space-between;
    padding: 0 20px;
    align-items: center;
}

.timeline-header .menu-logo-wrapper {
    padding-right: 40px;
}

.timeline-header h1 {
    flex: 1;
    font-size: 24.5px;
    color: #707070;
    font-family: var(--f-grosa-regular);
    margin-bottom: 0;
}

.timeline-header h1 a {
    cursor: pointer;
}

.timeline-search {
    display: flex;
    position: relative;
}

.timeline-search #busqueda {
    border: none;
    outline: none;
    background-color: #DBD8D84D;
    height: 30px;
    line-height: 30px;
    padding: 0 15px;
    padding-right: 50px;
    font-size: 16px;
    width: 300px;
    color: #707070;
}

.timeline-search #busqueda::placeholder {
    color: #707070;
}

.timeline-search #botonBuscar {
    cursor: pointer;
    padding-left: 10px;
    display: flex;
    align-items: center;
}

.timeline-search #botonBuscar span {
    display: block;
    height: 25px;
    width: 25px;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
}

.timeline-search .close {
    position: absolute;
    right: 40px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    display: none;
}

.timeline-search .close::before {
    content: "close";
    font-family: "Material Icons";
    font-size: 21px;
    line-height: 35px;
    opacity: 1;
}

.timeline-actions {
    display: flex;
    align-items: center;
    gap: 10px;
}

.timeline-actions #infoTimeline {
    color: #000;
    cursor: pointer;
}

.timeline-actions #closeTimeline {
    cursor: pointer;
    /* padding-left: 5px; */
    height: 30px;
}

.timeline-actions #closeTimeline span {
    font-size: 30px;
    color: #000;
}

.layer-filtros {
    position: absolute;
    right: 0;
    bottom: 0;
    background-color: #fff;
    width: 290px;
    padding: 0;
    border-top: 1px solid;
    border-left: 1px solid;
    border-color: var(--c-gris-borde);
    z-index: 2;
}

.layer-filtros .header {
    background-color: #ddd;
    height: 50px;
    padding: 0 15px 0px 20px;
    display: flex;
    align-items: center;
    font-weight: bold;
    font-size: 14px;
    justify-content: space-between;
    cursor: pointer;
}

.layer-filtros .header span:not(.icon) {
    color: #393939;
    font-weight: 800;
}

.layer-filtros .header .icon {
    font-size: 50px;
}

.layer-filtros.show {
    box-shadow: -3px -3px 14px -3px rgba(0, 0, 0, 0.15);
    height: 355px;
}

.layer-filtros.show .header .icon {
    transform: rotate(0);
}

.layer-filtros.show .header .icon::before {
    content: "expand_more";
    font-family: "Material Symbols Outlined";
    font-size: 32px;
}

.layer-filtros .header .icon {
    transform: rotate(180deg);
}

.layer-filtros.show .header {
    background-color: transparent;
}

.layer-filtros .content {
    padding-left: 20px;
    padding: 0 15px 15px 20px;
    display: none;
}

.layer-filtros ul li {
    padding-bottom: 5px;
}

.layer-filtros .custom-control-label {
    font-size: 12px;
    padding-left: 5px;
}

.layer-filtros .custom-control-label::before,
.layer-filtros .custom-control-label::after {
    height: 18px;
    width: 18px;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
}

.layer-filtros .custom-control-input:checked ~ .custom-control-label {
    font-weight: 400;
}

.timeline-switch.custom-switch .custom-control-label::before {
    border-color: #ddd !important;
    background-color: #ddd;
    width: 2rem;
}

.timeline-switch.custom-switch .custom-control-label::after {
    top: 50%;
    transform: translateY(-50%);
    left: -2.25rem;
    width: 1rem;
    height: 1rem;
    border: 1px solid #aaa;
    background-color: #fff;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
}

.timeline-switch.custom-switch .custom-control-input:checked ~ .custom-control-label::after {
    left: calc(-2rem);
    transform: translate(12px, -8px);
    translate: none;
}

.layer-filtros .custom-checkbox .custom-control-input ~ .custom-control-label::before {
    border-width: 2px;
}

.layer-filtros .custom-checkbox .custom-control-input:checked ~ .custom-control-label::after {
    background-color: #333;
    background-image: none;
}
.layer-filtros .custom-checkbox #esarq_artworks.custom-control-input ~ .custom-control-label::before {
    border-color: #333;
}

.layer-filtros .custom-checkbox #ESARQ_PERSON.custom-control-input ~ .custom-control-label::before {
    border-color: var(--c-primario);
}

.layer-filtros .custom-checkbox #ESARQ_PERSON.custom-control-input:checked ~ .custom-control-label::after {
    background-color: var(--c-primario);
}

.layer-filtros .custom-checkbox #ESARQ_GROUP.custom-control-input ~ .custom-control-label::before {
    border-color: var(--c-morado);
}

.layer-filtros .custom-checkbox #ESARQ_GROUP.custom-control-input:checked ~ .custom-control-label::after {
    background-color: var(--c-morado);
}

.layer-filtros .custom-checkbox #WIKIDATA_POLITICIANS.custom-control-input ~ .custom-control-label::before {
    border-color: var(--c-gobernantes);
}

.layer-filtros .custom-checkbox #WIKIDATA_POLITICIANS.custom-control-input:checked ~ .custom-control-label::after {
    background-color: var(--c-gobernantes);
}

.layer-filtros .custom-checkbox #WIKIDATA_EVENTS.custom-control-input ~ .custom-control-label::before {
    border-color: var(--c-eventos);
}

.layer-filtros .custom-checkbox #WIKIDATA_EVENTS.custom-control-input:checked ~ .custom-control-label::after {
    background-color: var(--c-eventos);
}

.layer-filtros .custom-checkbox #WIKIDATA_PERIODS.custom-control-input ~ .custom-control-label::before {
    border-color: var(--c-periodos);
}

.layer-filtros .custom-checkbox #WIKIDATA_PERIODS.custom-control-input:checked ~ .custom-control-label::after {
    background-color: var(--c-periodos);
}

.layer-filtros .custom-checkbox #WIKIDATA_CONFLICTS.custom-control-input ~ .custom-control-label::before {
    border-color: var(--c-conflictos);
}

.layer-filtros .custom-checkbox #WIKIDATA_CONFLICTS.custom-control-input:checked ~ .custom-control-label::after {
    background-color: var(--c-conflictos);
}

#contexto-historico-switch.timeline-switch.custom-switch .custom-control-input:checked ~ .custom-control-label::after {
    background-color: #b10029;
    border-color: #b10029;
}

#arquitectura-internacional-switch.timeline-switch.custom-switch
    .custom-control-input:checked
    ~ .custom-control-label::after {
    background-color: #58c276;
    border-color: #58c276;
}

.layer-background.layer-contexto hr {
}

.layer-filtros.show .content {
    display: block;
}

.layer-background {
    padding: 30px 22px;
}

.layer-1-background {
    padding-top: 70px;
}

.layer-background:nth-child(odd) {
    background-color: var(--c-gris-fondo);
}

.layer-background hr {
    height: 9px;
    width: 32px;
    background-color: #000;
    margin: 0 0 15px 0;
}
.layer-background p.title {
    word-break: break-word;
    color: var(--c-texto);
    font-size: 17px;
    text-transform: uppercase;
    font-family: var(--f-grosa-regular);
    width: 90px;
    line-height: normal;
}
.layer-background p.title strong {
    font-family: var(--f-grosa-bold);
    display: block;
}
.layer-background.layer-internacional hr {
    background-color: #58c276;
}
.layer-background.layer-internacional p.title strong {
    max-width: 85px;
}
.layer-background.layer-contexto hr {
    background-color: #b10029;
}
.layer-background.layer-contexto p.title strong {
    max-width: 62px;
}
.ac_results_timeline {
    position: absolute;
    width: 100% !important;
    background-color: transparent !important;
}

.ac_results_timeline ul {
    padding-left: 15px;
    background-color: #fff;
}

body.timeLine .modal-backdrop {
    display: block !important;
    z-index: 3000;
}

#modal-linea-tiempo {
    z-index: 3001;
}

#modal-linea-tiempo .modal-content {
    background-color: #F4F0F0;
}

#modal-linea-tiempo .modal-header {
    color: inherit;
    background-color: inherit;
}

#modal-linea-tiempo .modal-header .modal-title {
    font-family: var(--f-grosa-bold);
    font-size: 26px;
    line-height: 24px;
    color: #393939;
    letter-spacing: 1px;
    text-transform: uppercase;
    margin-bottom: 0;
}

#modal-linea-tiempo .modal-header .modal-title .type {
    display: block;
    height: 19px;
    width: 19px;
    background-color: #004093;
    margin-right: 15px;
}

#modal-linea-tiempo .modal-header .modal-title .type.person {
    background: var(--c-primario);
}

#modal-linea-tiempo .modal-header .modal-title .type.group {
    background-color: var(--c-morado);
}

#modal-linea-tiempo .modal-header .modal-title .type.conflicts {
    background-color: var(--c-conflictos);
}

#modal-linea-tiempo .modal-header .modal-title .type.periods {
    background-color: var(--c-periodos);
}

#modal-linea-tiempo .modal-header .modal-title .type.events {
    background-color: var(--c-eventos);
}

#modal-linea-tiempo .modal-header .modal-title .type.politicians {
    background-color: var(--c-gobernantes);
}

#modal-linea-tiempo .modal-header .material-icons {
    font-size: 32px;
}

#modal-linea-tiempo .modal-body {
    padding: 20px 0;
    /* max-height: 620px; */
    overflow: hidden;
}

#modal-linea-tiempo .modal-body .description-wrap,
#modal-linea-tiempo .modal-body .images-wrap {
    width: 50%;
    float: left;
}

#modal-linea-tiempo .modal-body .description {
    overflow: auto;
    height: calc(100vh - 425px);
    padding-left: 20px;
    padding-right: 10px;
}

#modal-linea-tiempo .modal-body .description table tr,
#modal-linea-tiempo .modal-body .description table tr td {
    font-size: 13px;
    color: #393939;
    vertical-align: top;
    height: 20px;
}

#modal-linea-tiempo .modal-body .description table tr {
    border-bottom: 1px solid #fff;
}

#modal-linea-tiempo .modal-body .source-links {
    list-style: none;
    padding: 10px 20px;
    margin: 0;
}

#modal-linea-tiempo .modal-body .source-links a {
    display: block;
    font-family: var(--f-grosa-regular);
    font-size: 14px;
    line-height: 17px;
    color: #585757;
    text-transform: uppercase;
}

#modal-linea-tiempo .modal-body .images-wrap {
    overflow: auto;
    height: calc(100vh - 365px);
}

#goBackTimeline,
#searchTimeline,
#filtersTimeline {
    display: none;
}

#modal-navegacion-linea-tiempo {
    z-index: 3001;
}

#modal-navegacion-linea-tiempo .modal-dialog {
    max-width: 720px;
}

#modal-navegacion-linea-tiempo .modal-content {
    border-radius: 14px;
    background-color: #EFEDED;
}

#modal-navegacion-linea-tiempo .modal-header {
    background-color: #EFEDED;
    color: #585857;
    border-radius: 14px;
}

.modal .modal-content .modal-header .cerrar {
    font-size: 45px;
}

#modal-navegacion-linea-tiempo .modal-body {
    padding: 0 145px;
    padding-bottom: 55px;
}

#modal-navegacion-linea-tiempo .modal-body p.title {
    font-size: 27px;
    line-height: 33px;
    font-weight: 700;
    color: var(--c-texto);
}

#modal-navegacion-linea-tiempo .modal-body .cards-wrap {
    display: flex;
    justify-content: space-between;
}

#modal-navegacion-linea-tiempo .modal-body .card-nav {
    width: 95px;
}

#modal-navegacion-linea-tiempo .modal-body .card-nav p {
    font-size: 16px;
    line-height: 19px;
    color: var(--c-texto);
}

#modal-navegacion-linea-tiempo .modal-body .card-nav .icono {
    height: auto;
    width: 100%;
}

#modal-navegacion-linea-tiempo .modal-body .card-nav .icono::before {
    content: "";
    display: block;
    width: 82px;
    height: 142px;
}

#modal-navegacion-linea-tiempo .modal-body .card-nav .icono.nav-horizontal::before {
    background-image: url(../resources/iconos/nav-horizontal.svg);
}

#modal-navegacion-linea-tiempo .modal-body .card-nav .icono.zoom::before {
    background-image: url(../resources/iconos/zoom.svg);
}

#modal-navegacion-linea-tiempo .modal-body .card-nav .icono.ampliar::before {
    background-image: url(../resources/iconos/ampliar.svg);
}

@media (max-width: 991px) {
    #modal-navegacion-linea-tiempo .modal-body .card-nav .icono.nav-horizontal::before {
        background-image: url(../resources/iconos/nav-horizontal-tablet.svg);
        height: 122px;
    }

    #modal-navegacion-linea-tiempo .modal-body .card-nav .icono.zoom::before {
        background-image: url(../resources/iconos/zoom-tablet.svg);
        height: 83px;
        width: 117px;
    }

    #modal-navegacion-linea-tiempo .modal-body .card-nav .icono.ampliar::before {
        background-image: url(../resources/iconos/ampliar-tablet.svg);
        height: 134px;
    }
}

@media (max-width: 767px) {
    #timeline-container canvas {
        left: 0px;
    }

    .timeline-header {
        height: 66px;
    }

    .timeline-header h1 {
        font-family: var(--f-grosa-bold);
        font-size: 18px;
        line-height: 22px;
        letter-spacing: 1px;
        color: var(--c-negro);
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .menu-logo-wrapper {
        display: none;
    }

    .timeline-search {
        display: none;
        position: absolute;
        top: 66px;
        left: 0;
        background-color: #fff;
        width: 100%;
        padding: 10px 20px;
        padding-right: 62px;
    }

    .timeline-search.show {
        display: block;
    }

    .timeline-search.show #busqueda {
        width: 100%;
    }

    .timeline-search.show #botonBuscar {
        display: none;
        position: absolute;
        right: 25px;
        top: 50%;
        transform: translateY(-50%);
    }

    .timeline-search.show #botonBuscar span {
        font-size: 24px;
    }

    .timeline-search .close {
        right: 70px;
    }

    #modal-linea-tiempo {
        height: calc(100% - 66px);
        top: 66px;
    }

    #modal-linea-tiempo .modal-dialog {
        top: 0;
        transform: none !important;
        -webkit-transform: none !important;
        -moz-transform: none !important;
        -ms-transform: none !important;
        -o-transform: none !important;
    }

    body.timeLine .modal-backdrop {
        display: none !important;
    }

    #modal-linea-tiempo .modal-content {
        height: 100%;
    }

    #modal-linea-tiempo .modal-header {
        padding-top: 20px;
        padding-bottom: 20px;
    }

    #modal-linea-tiempo .modal-header .modal-title {
        font-size: 16px;
    }

    #modal-linea-tiempo .modal-header .modal-title .type {
        height: 16px;
        width: 16px;
    }

    #modal-linea-tiempo .modal-header .material-icons {
        font-size: 24px;
    }

    #modal-linea-tiempo .modal-body {
        overflow: auto;
        max-height: 100%;
        padding: 20px 0 50px 0;
    }

    #modal-linea-tiempo .modal-body .description-wrap,
    #modal-linea-tiempo .modal-body .images-wrap {
        width: 100%;
        height: auto;
        overflow: hidden;
    }

    #modal-linea-tiempo .modal-body .images-wrap {
        padding: 0 20px;
    }

    #modal-linea-tiempo .modal-body .images-wrap img {
        width: 100%;
    }

    #modal-linea-tiempo .modal-body .description {
        height: auto;
        overflow: hidden;
    }

    #modal-linea-tiempo .modal-body .description p {
        font-size: 13px;
    }

    #modal-linea-tiempo .modal-body .description table {
        width: 100%;
    }

    #goBackTimeline,
    #searchTimeline,
    #filtersTimeline {
        display: block;
        color: var(--c-texto);
    }

    #goBackTimeline .material-icons,
    #searchTimeline .material-icons,
    #filtersTimeline .material-icons {
        font-size: 32px;
    }

    #searchTimeline.mostrar {
        position: absolute;
        bottom: -45px;
        right: 20px;
    }

    #goBackTimeline .material-icons {
        transform: rotate(-180deg);
        -webkit-transform: rotate(-180deg);
        -moz-transform: rotate(-180deg);
        -ms-transform: rotate(-180deg);
        -o-transform: rotate(-180deg);
    }

    #closeTimeline {
        display: none;
    }

    #infoTimeline {
        display: none;
    }

    .layer-filtros {
        display: none;
    }

    .layer-filtros.show {
        display: block;
        top: -34px;
        left: 0;
        right: inherit;
        bottom: inherit;
        width: 100%;
        box-shadow: none;
    }

    .layer-filtros.show .header {
        background-color: #fff;
    }

    .layer-filtros.show .header .icon::before {
        content: "close";
        font-size: 24px;
    }

    .layer-filtros.show .content {
        display: block;
    }

    .layer-filtros .header .icon {
        font-size: 30px;
    }

    .layer-filtros .header span:not(.icon) {
        font-size: 16px;
    }

    .layer-filtros .custom-control-label {
        font-size: 16px;
        line-height: 18px;
        letter-spacing: -.32px;
    }

    .layer-background {
        padding: 0px;
    }

    .layer-background p.title {
        width: 100%;
        padding: 5px 20px;
        color: #fff;
        font-size: 12px;
    }


    .layer-background p.title strong {
        display: inline;
    }

    .layer-background hr {
        display: none;
    }

    .layer-background.layer-espanola p.title {
        background-color: #000;
    }

    .layer-background.layer-internacional p.title {
        background-color: #58c276;
    }
    .layer-background.layer-contexto p.title {
        background-color: #b10029;
    }
    .layer-background.layer-contexto p.title strong {
        max-width: initial;
    }

    .ac_results_timeline {
        top: 50px !important;
        padding: 0 !important;
    }


    #modal-navegacion-linea-tiempo {
        background: rgba(0,0,0,.3);
    }

    #modal-navegacion-linea-tiempo .modal-dialog {
        max-width: 340px;
    }

    .modal .modal-content .modal-header .cerrar {
        position: absolute;
        top: 12px;
        right: 25px;
        z-index: 100;
    }

    #modal-navegacion-linea-tiempo .modal-body {
        padding: 17px 25px;
        padding-bottom: 35px;
        margin-top: -60px;
    }

    #modal-navegacion-linea-tiempo .modal-body p.title {
        margin-bottom: 70px;
    }

    #modal-navegacion-linea-tiempo .modal-body .cards-wrap {
        flex-direction: column;
        gap: 35px;
    }

    #modal-navegacion-linea-tiempo .modal-body .card-nav {
        display: flex;
    }

    #modal-navegacion-linea-tiempo .modal-body .card-nav .texto {
        margin-right: 50px;
        flex: 0 0 90px;
    }
}